From 6e21379ebbcf91da69ea13e8e20aab7984a71ff7 Mon Sep 17 00:00:00 2001
From: Kyotaro Horiguchi <horikyota.ntt@gmail.com>
Date: Thu, 20 Feb 2025 13:31:52 +0900
Subject: [PATCH] Align a recently added message with an existing one

A recently added message follows the style "The value of "%s" must be
set", but for this situation, the existing message uses "%s" must be
set" instead. In addition, all instances of "%s" must be set are
written without the preceding "The value of".

This patch removes the inconsistency by adjusting the message to match
the existing one.
---
 src/backend/replication/slot.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/replication/slot.c b/src/backend/replication/slot.c
index 292407f5149..84270c493a5 100644
--- a/src/backend/replication/slot.c
+++ b/src/backend/replication/slot.c
@@ -2986,7 +2986,7 @@ check_idle_replication_slot_timeout(int *newval, void **extra, GucSource source)
 {
 	if (IsBinaryUpgrade && *newval != 0)
 	{
-		GUC_check_errdetail("The value of \"%s\" must be set to 0 during binary upgrade mode.",
+		GUC_check_errdetail("\"%s\" must be set to 0 during binary upgrade mode.",
 							"idle_replication_slot_timeout");
 		return false;
 	}
-- 
2.43.5

